[AlternC-dev] erreur 0.9.3

Retour à l'archive de la liste
Le site d'AlternC
Google Custom Search

The Anarcat anarcat at anarcat.ath.cx
Lun 21 Fév 16:29:02 CET 2005


On Sun Feb 20, 2005 at 04:56:54PM +0100, denis wrote:
> Salut,
> 
> Je viens de créer un paquet debian avec les sources du jour.
> 
> A l'install, j'ai quelques soucis pour que do_domaines fonctionne:
> 
> J'essayes d'abord de le lancer à la main et là il me demande
> alternc-admintools. Ok mais alors est-ce que ce serait pas plus simple
> de le mettre dans les dépendances d'alternc ???

Bug connu: http://mantis.alternc.org/view.php?id=319

> Erreur suivante: Le fichier de configuration (/etc/alternc/local.sh) est
> absent ou n'est pas exécutable.

Il est possible que le fichier ne soit effectivement pas exécutable,
mais je crois qu'il n'as pas besoin de l'être pour être
"sourcé" (vérifié). J'applique la patch suivante au CVS:

Index: do_domaines.sh
===================================================================
RCS file: /cvs/alternc/src/do_domaines.sh,v
retrieving revision 1.9
diff -u -r1.9 do_domaines.sh
--- do_domaines.sh      29 Jan 2005 22:48:22 -0000      1.9
+++ do_domaines.sh      21 Feb 2005 15:26:49 -0000
@@ -98,7 +98,7 @@
 
 # récupération des passwd et autres à partir d'un fichier externe :
 FIC_CONF=/etc/alternc/local.sh
-[ -x "$FIC_CONF" ] && . $FIC_CONF || { echo "Le fichier de configuration ($FIC_CONF) est absent ou n'est pas exécutable." ; exit 1 ; }
+[ -r "$FIC_CONF" ] && . $FIC_CONF || { echo "Le fichier de configuration $FIC_CONF est absent ou est inaccessible" ; exit 1 ; }
 
 # On teste si les variables attendues sont renseignées :
 for variable in MYSQL_DATABASE MYSQL_USER MYSQL_PASS ROOT_MAIL DEFAULT_MX DEFAULT_IP ; do

 
> Puis : la variable $ROOT_MAIL n'est pas renseignée.
> 
> Puis : la variable $DEFAULT_MX n'est pas renseignée. (alors qu'elle est
> bien dans /etc/alternc.conf)

Ces deux derniers warnings apparaissent car do_domaines.sh ne charge
pas local.sh.
 
> Puis enfin, et là je cales un peu :
> 
> /usr/lib/alternc/do_domaines.sh[152]: syntax error: `(' unexpected

Ma faute: j'ai ajouté des parenthèses de trop que ksh n'a pas
aimé. Foutu ksh...

Tout réglé, peux-tu ré-essayer avec le CVS?

a.

-- 
Ils versent un pauvre miel sur leurs mots pourris et te parlent de pénurie
Et sur ta faim, sur tes amis, ils aiguisent leur appétit
                        - Richard Desjardins, La maison est ouverte
-------------- section suivante --------------
Une pièce jointe autre que texte a été nettoyée...
Nom: signature.asc
Type: application/pgp-signature
Taille: 189 octets
Desc: Digital signature
URL: <http://lists.alternc.org/arch/dev/attachments/20050221/5d0cc895/attachment.pgp>


Plus d'informations sur la liste de diffusion Dev